%define name	xmms-coverviewer
%define oname   xmms-coverviewerxp
%define version	0.12
%define prerel rc2
%define release	%mkrel 0.1%prerel.1

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	XMMS plugin that displays images related to the files being played
License:	GPL
Group: 		Sound
Source:		http://prdownloads.sourceforge.net/coverviewer/%{oname}-cvs-%prerel.tar.bz2
URL:		http://coverviewer.sourceforge.net/
Requires:	xmms >= 1.2.4
#gw the script for fetching the covers needs this
Requires: 	pygtk2.0
BuildRequires:	xmms-devel >= 1.2.4
BuildRequires:	libgdk-pixbuf-devel
BuildRequires:	id3lib-devel
BuildRequires:	libxml2-devel
Buildroot:	%{_tmppath}/%{name}-%{version}-%{release}-root

%description
CoverViewer scans your directories for images and displays them while
playing songs in xmms. It can also retrieve covers directly from
internet using a script (A sample script using amazon.com is provided in
%{_datadir}/coverviewer)

%prep
%setup -q -n %oname-cvs-%prerel

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%_libdir/xmms/General/libcoverview.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS
%{_libdir}/xmms/General/libcoverview.so
%{_datadir}/coverviewer



%changelog
* Sat Jan 13 2007 Götz Waschk <waschk@mandriva.org> 0.12-0.1rc2.1mdv2007.0
+ Revision: 108265
- increase release
- new version
- fix URL

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - import xmms-coverviewer-0.12-0.1rc1.2mdk


* Wed May 11 2005 Gtz Waschk <waschk@mandriva.org> 0.12-0.1rc1.2mdk
- fix buildrequires

* Thu May 05 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.12-0.1rc1.1mdk
- 0.12 RC1

* Fri May 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.11-2mdk
- fix buildrequires

* Fri May 28 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.11-1mdk
- fix source URL
- new version

* Sun May 09 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.11-0.pre3.2mdk
- fix deps

* Sun Dec 14 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.11-0.pre3.1mdk
- new version

* Mon Sep 01 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.1.10-2mdk
- use more macros
- fix buildrequires

* Sun Aug 31 2003 Guillaume Rousse <guillomovitch@linux-mandrake.com> 0.1.10-1mdk
- contributed by Eric Villani <villani@math.jussieu.fr>

